ERP Agent for SAP error : SiteMinderLoginModule has been compiled by a more recent version of the Java Runtime

Document ID:  TEC1451621
Last Modified Date:  08/02/2017
{{active ? 'Hide' : 'Show'}} Technical Document Details

Products

  • CA Single Sign-On

Releases

  • CA Single Sign-On:Release:12.51
  • CA Single Sign-On:Release:12.51 CA SiteMinder

Components

  • SITEMINDER SSO AGENT FOR SAP WEBAS:SMSSW
Issue:

We're installing ERP Agent for SAP, and starting it, we get the error : 

 

  1.#005056AFDD0400720000002D00003609000553A014AC7377#1499321890272#com.sap. 

  engine.services.httpserver##com.sap.engine.services.httpserver#Guest#0##n 

  /a##e23dbc4c621211e7801d00001df427db#SAPEngine_Application_Thread[impl:3] 

  _1##0#0#Error#1#/System/Server#Plain###User Guest, IP address Cannot 

  check HTTP request for mapped servlets and filters. HTTP error [500 

  Internal Server Error] will be returned. java.lang. 

  UnsupportedClassVersionError: com/netegrity/siteminder/sap/webas/jaas/ 

  SiteMinderLoginModule has been compiled by a more recent version of 

  the Java Runtime (class file version 49.0), this version of the Java 

  Runtime only recognizes class file versions up to 48.0 

 

How can we fix this ?

 

Environment:
ERP Agent 12.51 on SAP 7.01 SP17 on Suse
Cause:

ERP Agent for SAP is compiled with JDK 1.6 in 1.5 compatibility mode. SAP 7.0 is supports only JVM 1.4.

 

Resolution:

To solve this issue, you do need to run a supported version for SAP 7.0 and JVM 1.4.

 

We still deliver the old ERP Agent 12.0 for SAP which is compatible on SAP Netweaver 7.0 and 7.01 in 64bit on Linux :

   ERP Agent 12.0 Platform Support Matrix

 

The ERP Agent 12.51 for SAP is not supported on SAP 7.0 running on Linux :

   ERP Agent 12.51 Platform Support Matrix

 

To get it certified and ported to those version, we invite you to open an Idea on the Security page:

   How to post Ideas in Communities

 

In order to undeploy application when SDM nor telnet is available, get in touch with SAP support team.

 

Over the internet, the following site discusses other possibilities to undeploy application like by using Netweaver Developer Studio among the others:

  Undeploying SCA/ SDA / EAR / WAR files on J2EE servers on Netweaver release 7.1,7.2,7.3,7.4 and 7.5

 

Please help us improve!

Will this information enable you to resolve your issue?

Please tell us what we can do better.

{{feedbackText.length ? feedbackText.length : '0'}}/255

{{status}}

Not what you were looking for?

Search Again >

Product Information

Support by Product >

Communities

Join a Community >